import React from 'react';
export declare type KeySequenceProps = {
    children?: string;
} & React.HTMLAttributes<HTMLDivElement>;
export declare type KeyComboProps = {
    children?: string;
} & React.HTMLAttributes<HTMLDivElement>;
export declare type KeycapProps = {
    children: string;
} & React.HTMLAttributes<HTMLElement>;
/** renders a sequence of keys, e.g. `ctrl+K then ctrl+d` */
export declare function KeySequence({ children, className, ...rest }: KeySequenceProps): JSX.Element;
/** renders a key combination */
export declare function KeyCombo({ children, className, ...rest }: KeyComboProps): JSX.Element;
/** renders children as a physical key */
export declare function Keycap({ className, children, ...rest }: KeycapProps): JSX.Element;
